/*
 * $Id: SelectFileDialog.java 178 2010-10-31 18:01:20Z roland $ Copyright (C) 2007 Roland Krueger Created on 17.06.2007 Author: Roland Krueger
 * (www.rolandkrueger.info) This file is part of RoKlib. This library is free software; you can
 * redistribute it and/or modify it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE. See the GNU Lesser General Public License for more details. You should have received a
 * copy of the GNU Lesser General Public License along with this library; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package info.rolandkrueger.demo.tstmap;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Font;
import java.awt.Frame;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.border.EtchedBorder;
import javax.swing.border.TitledBorder;

public class SelectFileDialog extends JDialog implements ActionListener
{
  private static final long serialVersionUID = 1L;
  private JPanel jContentPane = null;
  private JPanel jPanel = null;
  private JTextField jTextField = null;
  private JButton jButton = null;

  /**
   * @param owner
   */
  public SelectFileDialog (Frame owner)
  {
    super (owner);
    initialize ();
  }

  /**
   * This method initializes this
   */
  private void initialize ()
  {
    this.setSize (575, 87);
    this.setModal (true);
    this.setResizable (false);
    this.setContentPane (getJContentPane ());
  }

  /**
   * This method initializes jContentPane
   * 
   * @return javax.swing.JPanel
   */
  private JPanel getJContentPane ()
  {
    if (jContentPane == null)
    {
      jContentPane = new JPanel ();
      jContentPane.setLayout (new BorderLayout ());
      jContentPane.add (getJPanel (), BorderLayout.NORTH);
    }
    return jContentPane;
  }

  /**
   * This method initializes jPanel
   * 
   * @return javax.swing.JPanel
   */
  private JPanel getJPanel ()
  {
    if (jPanel == null)
    {
      jPanel = new JPanel ();
      jPanel.setLayout (new BorderLayout ());
      jPanel.setBorder (BorderFactory.createTitledBorder (null, "URL zu einer Textdatei:",
          TitledBorder.DEFAULT_JUSTIFICATION, TitledBorder.DEFAULT_POSITION, new Font ("Dialog",
              Font.BOLD, 12), new Color (51, 51, 51)));
      jPanel.add (getJTextField (), BorderLayout.CENTER);
      jPanel.add (getJButton (), BorderLayout.EAST);
    }
    return jPanel;
  }

  /**
   * This method initializes jTextField
   * 
   * @return javax.swing.JTextField
   */
  private JTextField getJTextField ()
  {
    if (jTextField == null)
    {
      jTextField = new JTextField ();
      jTextField.setBorder (BorderFactory.createEtchedBorder (EtchedBorder.LOWERED));
    }
    return jTextField;
  }

  /**
   * This method initializes jButton
   * 
   * @return javax.swing.JButton
   */
  private JButton getJButton ()
  {
    if (jButton == null)
    {
      jButton = new JButton ();
      jButton.setText ("Durchsuchen...");
    }
    return jButton;
  }

  public void actionPerformed (ActionEvent event)
  {
  }

} // @jve:decl-index=0:visual-constraint="137,266"
