/*
 * $Id: SuggestionComboBoxDataset.java 181 2010-11-01 09:39:13Z roland $
 * Copyright (C) 2003 Roland Krueger
 * Created on Oct 15, 2003
 *
 * Author: Roland Krueger (www.rolandkrueger.info)
 *
 * This file is part of RoKlib.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */
package info.rolandkrueger.roklib.ui.swing.rapidsuggest;

import info.rolandkrueger.roklib.util.TernarySearchTreeStringSet;

import java.util.Iterator;
import java.util.TreeSet;

/**
 * @author Roland Krueger (rkrueger@rumms.uni-mannheim.de)
 * @version CVS $Id: SuggestionComboBoxDataset.java 128 2010-03-05 06:45:32Z
 *          roland $
 */
public class SuggestionComboBoxDataset extends TernarySearchTreeStringSet
{
  private TreeSet<String> listRepresentation;

  /**
   * Constructor for SuggestionComboBoxDataset.
   */
  public SuggestionComboBoxDataset ()
  {
    super ();
    listRepresentation = new TreeSet<String> ();
  }

  public Iterator<String> getIterator ()
  {
    return listRepresentation.iterator ();
  }

  public boolean add (String value)
  {
    listRepresentation.add (value);
    return super.add (value);
  }
}
