/*
 * $Id: HTMLTextFormatter.java 178 2010-10-31 18:01:20Z roland $
 * Copyright (C) 2007 Roland Krueger
 * Created on 18.11.2009
 *
 * Author: Roland Krueger (www.rolandkrueger.info)
 *
 * This file is part of RoKlib.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */
package info.rolandkrueger.roklib.util.formatter;

import java.awt.Color;

public class HTMLTextFormatter implements ITextFormatter
{
  public CharSequence append (CharSequence text)
  {
    return text;
  }

  public CharSequence appendBold (CharSequence text)
  {
    return String.format ("<b>%s</b>", text);
  }

  public CharSequence appendColored (CharSequence text, Color color)
  {
    // TODO
    return String.format ("<font >%s</font>", text);
  }

  public CharSequence appendItalic (CharSequence text)
  {
    return String.format ("<i>%s</i>", text);
  }

  public CharSequence appendMonospaced (CharSequence text)
  {
    return String.format ("<pre>%s</pre>", text);
  }

  public CharSequence appendSubscript (CharSequence text)
  {
    return String.format ("<sub>%s</sub>", text);
  }

  public CharSequence appendSuperscript (CharSequence text)
  {
    return String.format ("<sup>%s</sup>", text);
  }

  public CharSequence appendUnderlined (CharSequence text)
  {
    return String.format ("<u>%s</u>", text);
  }

  public CharSequence appendStrikeThrough (CharSequence text)
  {
    return String.format ("<del>%s</del>", text);
  }

  public CharSequence encloseText (CharSequence text)
  {
    return String.format ("<html>%s</html>", text);
  }
}
